loci.formats.tools

## Class MakeTestOmeTiff

- java.lang.Object
- - loci.formats.tools.MakeTestOmeTiff

-     public class MakeTestOmeTiff
      extends java.lang.Object

  Creates sample OME-TIFF datasets according to the given parameters.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `MakeTestOmeTiff.TextLine`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isModulo`
    `int` | `sizeCsub`
    `int` | `sizeTsub`
    `int` | `sizeZsub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MakeTestOmeTiff()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private IMetadata` | `createMetadata(java.lang.String name, CoreMetadata info)`
    `private java.awt.image.BufferedImage` | `createPlane(java.lang.String name, CoreMetadata info, int no)`
    `private OMETiffWriter` | `createWriter(java.lang.String name, CoreMetadata info, java.lang.String id)`
    `private void` | `displayUsage()`
    `private void` | `ensureNonExisting(java.lang.String id)`
    `private java.lang.String` | `getId(java.lang.String name)`
    `private int` | `gradient(int type, int num, int total)`
    `static void` | `main(java.lang.String[] args)`
    `int` | `makeOmeTiff(java.lang.String... args)`
    `void` | `makeOmeTiff(java.lang.String name, CoreMetadata info)`
    `void` | `makeOmeTiffExtensions(java.lang.String... args)`
    `void` | `makeSamples()`
    `private void` | `writeData(java.lang.String name, CoreMetadata info, java.lang.String id, OMETiffWriter out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sizeZsub

          public int sizeZsub

    - #### sizeTsub

          public int sizeTsub

    - #### sizeCsub

          public int sizeCsub

    - #### isModulo

          public boolean isModulo

  - ### Constructor Detail

    - #### MakeTestOmeTiff

          public MakeTestOmeTiff()

  - ### Method Detail

    - #### makeSamples

          public void makeSamples()
                           throws FormatException,
                                  java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### makeOmeTiff

          public int makeOmeTiff(java.lang.String... args)
                          throws FormatException,
                                 java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### makeOmeTiffExtensions

          public void makeOmeTiffExtensions(java.lang.String... args)
                                     throws FormatException,
                                            java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### makeOmeTiff

          public void makeOmeTiff(java.lang.String name,
                                  CoreMetadata info)
                           throws FormatException,
                                  java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### main

          public static void main(java.lang.String[] args)
                           throws FormatException,
                                  java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### displayUsage

          private void displayUsage()

    - #### getId

          private java.lang.String getId(java.lang.String name)

    - #### createWriter

          private OMETiffWriter createWriter(java.lang.String name,
                                             CoreMetadata info,
                                             java.lang.String id)
                                      throws FormatException,
                                             java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### writeData

          private void writeData(java.lang.String name,
                                 CoreMetadata info,
                                 java.lang.String id,
                                 OMETiffWriter out)
                          throws FormatException,
                                 java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### ensureNonExisting

          private void ensureNonExisting(java.lang.String id)

    - #### createMetadata

          private IMetadata createMetadata(java.lang.String name,
                                           CoreMetadata info)
                                    throws loci.common.services.DependencyException,
                                           loci.common.services.ServiceException,
                                           ome.xml.model.enums.EnumerationException

      Throws:
        `loci.common.services.DependencyException`
        `loci.common.services.ServiceException`
        `ome.xml.model.enums.EnumerationException`

    - #### createPlane

          private java.awt.image.BufferedImage createPlane(java.lang.String name,
                                                           CoreMetadata info,
                                                           int no)

    - #### gradient

          private int gradient(int type,
                               int num,
                               int total)

Copyright © 2026 Open Microscopy Environment